package com.sooka.system.real_estate.pre_sale_record_change.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 市房地产-预售备案变更信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiRealEstatePreSaleRecordChange extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 合同号 */
    @Excel(name = "合同号" )
    private String HTH;

    /** 业务宗号 */
    @Excel(name = "业务宗号" )
    private String YWZH;

    /** 出卖人姓名 */
    @Excel(name = "出卖人姓名" )
    private String CMRXM;

    /** 买受人姓名 */
    @Excel(name = "买受人姓名" )
    private String MSRXM;

    /** 身份证类型 */
    @Excel(name = "身份证类型" )
    private String SFZLX;

    /** 身份证号 */
    @Excel(name = "身份证号" )
    private String SFZH;

    /** 联系地址 */
    @Excel(name = "联系地址" )
    private String LXDZ;

    /** 房屋坐落 */
    @Excel(name = "房屋坐落" )
    private String FWZL;

    /** 合同总价 */
    @Excel(name = "合同总价" )
    private String HTZJ;

    /** 建筑面积 */
    @Excel(name = "建筑面积" )
    private String JZMJ;

    /** 套内面积 */
    @Excel(name = "套内面积" )
    private String TNMJ;

    /** 分摊面积 */
    @Excel(name = "分摊面积" )
    private String FTMJ;

    /** 幢号 */
    @Excel(name = "幢号" )
    private String ZH;

    /** 房号 */
    @Excel(name = "房号" )
    private String FH;

    /** 房屋用途 */
    @Excel(name = "房屋用途" )
    private String FWYT;

    /** 房屋性质 */
    @Excel(name = "房屋性质" )
    private String FWXZ;

    /** 坐落 */
    @Excel(name = "坐落" )
    private String ZL;

    /** 合同日期 */
    @Excel(name = "合同日期" )
    private String HTRQ;

    /** 变更原因 */
    @Excel(name = "变更原因" )
    private String BGYY;

    /** 审批时间 */
    @Excel(name = "审批时间" )
    private String SPSJ;

    public String getHth()
    {
        return HTH;
    }

    public String getYwzh()
    {
        return YWZH;
    }

    public String getCmrxm()
    {
        return CMRXM;
    }

    public String getMsrxm()
    {
        return MSRXM;
    }

    public String getSfzlx()
    {
        return SFZLX;
    }

    public String getSfzh()
    {
        return SFZH;
    }

    public String getLxdz()
    {
        return LXDZ;
    }

    public String getFwzl()
    {
        return FWZL;
    }

    public String getHtzj()
    {
        return HTZJ;
    }

    public String getJzmj()
    {
        return JZMJ;
    }

    public String getTnmj()
    {
        return TNMJ;
    }

    public String getFtmj()
    {
        return FTMJ;
    }

    public String getZh()
    {
        return ZH;
    }

    public String getFh()
    {
        return FH;
    }

    public String getFwyt()
    {
        return FWYT;
    }

    public String getFwxz()
    {
        return FWXZ;
    }

    public String getZl()
    {
        return ZL;
    }

    public String getHtrq()
    {
        return HTRQ;
    }

    public String getBgyy()
    {
        return BGYY;
    }

    public String getSpsj()
    {
        return SPSJ;
    }
}
